jonathan chen:
  contact:
    email: jonathanchen.dev@gmail.com
    phone: 206-375-8988
    website: jonathanchen.io
    github: github.com/jonathanchen7
  work experience:
    - software engineer @ modern treasury:
      - aug 2022 -> present
      - tools: [ruby on rails, typescript, react, graphql, postgresql, redis, aws]
    - software engineering intern @ amazon:
      - june 2021 -> sept 2021
      - tools: [java, typescript, react, aws, alexa skills kit]
    - software engineering intern @ docugami:
      - june 2020 -> dec 2020, oct 2021 -> dec 2021
      - tools: [python, typescript, c#, react, azure, blazor]
  projects:
    - clear my spam | inbox zero web app:
      - url: clearmyspam.com
      - open source ruby on rails web app designed to declutter email inboxes through bulk email deletion and unsubscribing, with 100k emails deleted/archived across users
      - tools: [ruby on rails, react, next.js, postgresql, hotwire]
    - omniconvert | unit + currency conversion mobile app:
      - unit and currency conversion ios/android app with 10k+ downloads and average rating of 5 stars
      - tools: [react native, typescript, expo]
    - split the cost | shared expense management web app:
      - web app allowing users to create, edit, and share custom balance sheets to manage shared expenses and settle outstanding debts
      - tools: [react, typescript, firebase, firestore]
  education:
    university of washington | seattle, washington:
      - b.s. computer science, minor in mathematics
      gpa: 3.91/4.00
      awards + scholarships:
        - annual dean's list (4 years)
        - washington state opportunity scholar (4 years)
        - fortive scholar (4 years)